Page MenuHomePhabricator

PageCuration toolbar asks for a URL when an internal wikilink is needed instead
Closed, DeclinedPublic

Description

In the PageCuration toolbar, when the speedy deletion tag "Recreation of a page that was deleted per a deletion discussion" is selected, the toolbar reads "Please add a URL for that source. " What is needed is not, in fact, a URL, but an internal wikilink; entering a URL here breaks the template.

Details

Related Gerrit Patches:

Event Timeline

Swpb created this task.Nov 10 2015, 3:27 PM
Swpb raised the priority of this task from to Needs Triage.
Swpb updated the task description. (Show Details)
Swpb added a project: PageCuration.
Swpb added a subscriber: Swpb.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 10 2015, 3:27 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Hi @Swpb, thanks for taking the time to report this!

Wondering if that is "pagetriage-tags-param-source-label" or "pagetriage-tags-param-url-label" or both strings in the PageTriage extension codebase...

Adding good first bug.

Swpb triaged this task as Normal priority.Sep 21 2016, 7:17 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 21 2016, 7:17 PM

Change 312108 had a related patch set uploaded (by Mattflaschen):
speedy deletion-previously deleted takes a page name, not a URL

https://gerrit.wikimedia.org/r/312108

Change 312108 merged by jenkins-bot:
speedy deletion-previously deleted takes a page name, not a URL

https://gerrit.wikimedia.org/r/312108

Framawiki moved this task from Backlog to Doing on the good first bug board.Dec 2 2017, 1:35 PM
Aklapper removed Mattflaschen-WMF as the assignee of this task.Apr 18 2018, 1:52 PM
Aklapper added a subscriber: Mattflaschen-WMF.

Removing @Mattflaschen-WMF as task assignee to avoid cookie-licking.
(Matt, if you still like/plan to work on this, feel very welcome to re-claim via your personal Phab account - thanks!)

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 24 2018, 9:52 AM
Force_Radical closed this task as Declined.Feb 20 2019, 2:28 PM
Force_Radical claimed this task.
Force_Radical added a subscriber: Force_Radical.

The toolbar setting are configurable onwiki. If this is for enwiki please file a edit request at the talk page of MediaWiki:PageTriageExternalDeletionTagsOptions.js.